Bug 9704 - ucd-snmp-4.0.1-4 packaging issues
ucd-snmp-4.0.1-4 packaging issues
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Depends On:
  Show dependency treegraph
Reported: 2000-02-22 21:38 EST by Charles R. Anderson
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-27 14:41:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2000-02-22 21:38:40 EST
There are two issues with the ucd-snmp-4.0.1-4 package that comes with Red
Hat 6.1:

1. The -devel package is missing the /usr/include/ucd-snmp/scapi.h file,
causing certain programs to fail compilation, e.g. the SNMP perl module.
Other headers might also missing (keytools.h, lcd_time.h, readconfig.h,
scapi.h, snmp-tc.h, snmp_alarm.h, snmp_debug.h, snmp_logging.h, snmpusm.h,
snmpv3.h, tools.h, transform_oids.h, ucd-snmp-includes.h).  This is a
problem with snmplib/Makefile.in, since it fails to include these important
files in the ALLHEADERS and INSTALLHEADERS definitions.

2. The %postun section uses chkconfig to delete the snmpd service after the
init script has already been deleted.  The chkconfig command needs to be
moved to a %preun section.  (/sbin/ldconfig should stay in %postun).
Comment 1 Jeff Johnson 2000-02-27 14:41:59 EST
The problem 1) is fixed in ucd-snmp-4.1.1. I've built CPAN modules against
that version.

The problem 2) is fixed in ucd-snmp-4.1.1-2 from Raw Hide, thanks for noticing.

Note You need to log in before you can comment on or make changes to this bug.